Subject: Re: bug#6845: 24.0.50; Mouse-2 behavior inconsistant in ansi-term mode

From: Chong Yidong <[email-masked]>
Date: Sun, 21 Aug 2011 13:57:29 -0400

Matthieu Moy <[email-masked]> writes:

> In most buffers, mouse-2 now pastes the content of the X primary
> selection. In ansi-term buffers, where mouse-2 is bound to
> term-mouse-paste, it pastes the content of the kill ring instead.
>
> This is very confusing, since it means that a click on the same button
> of the mouse will paste different result in different buffers.
>
> It also means the usual "select to copy, middle-click to paste"
> behavior usual to unix users doesn't work as it is in term mode.

This sounds like a problem indeed.  I changed term-mouse-paste to yank
the primary selection.